com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface Ambiguity

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface Ambiguity
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Ambiguity'.

  The following features are supported:

  - `Ambiguous Rule Columns`
  See Also:
    `DecisiontablePackage.getAmbiguity()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getAmbiguousRuleColumns()` Returns the value of the 'Ambiguous Rule Columns' reference list.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAmbiguousRuleColumns

          org.eclipse.emf.common.util.EList getAmbiguousRuleColumns()

      Returns the value of the 'Ambiguous Rule Columns' reference list. The list contents are of type `RuleColumn`.

      If the meaning of the 'Ambiguous Rule Columns' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ambiguous Rule Columns' reference list.
      See Also:
        `DecisiontablePackage.getAmbiguity_AmbiguousRuleColumns()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.